## GimpColorHexEntry

GimpColorHexEntry — Widget for entering a color's hex triplet.

## Functions

GtkWidget * | gimp_color_hex_entry_new ()
void | gimp_color_hex_entry_set_color ()
void | gimp_color_hex_entry_get_color ()

## Signals

void | color-changed | Run First

## Types and Values

| GimpColorHexEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkEntry
                        ╰── GimpColorHexEntry

## Implemented Interfaces

GimpColorHexEntry implements AtkImplementorIface, GtkBuildable, GtkEditable and GtkCellEditable.

## Description

Widget for entering a color's hex triplet.

## Functions

### gimp_color_hex_entry_new ()

    GtkWidget *
    gimp_color_hex_entry_new (void);

#### Returns

a new GimpColorHexEntry widget

Since: GIMP 2.2

### gimp_color_hex_entry_set_color ()

    void
    gimp_color_hex_entry_set_color (GimpColorHexEntry *entry,
                                    const GimpRGB *color);

Sets the color displayed by a GimpColorHexEntry. If the new color is different to the previously set color, the "color-changed" signal is emitted.

#### Parameters

entry | a GimpColorHexEntry widget |
color | pointer to a GimpRGB |

Since: GIMP 2.2

### gimp_color_hex_entry_get_color ()

    void
    gimp_color_hex_entry_get_color (GimpColorHexEntry *entry,
                                    GimpRGB *color);

Retrieves the color value displayed by a GimpColorHexEntry.

#### Parameters

entry | a GimpColorHexEntry widget |
color | pointer to a GimpRGB |

Since: GIMP 2.2

## Types and Values

### GimpColorHexEntry

    typedef struct _GimpColorHexEntry GimpColorHexEntry;

## Signal Details

### The `“color-changed”` signal

    void
    user_function (GimpColorHexEntry *gimpcolorhexentry,
                   gpointer           user_data)

Flags: Run First